post
https://api.dexatel.com/v1/templates
400Bad Request:
| Code | Message | Description |
|---|---|---|
| 1241 | 'data.wa_sender_code' required for WhatsApp template | |
| 1254 | 'data.text' is required | Required for SMS, WhatsApp and Viber(text) templates |
| 1256 | 'data.channel' is required | |
| 1257 | 'data.channel' value should be: [SMS, VIBER, WHATSAPP] | |
| 1259 | 'data.name' is invalid | |
| 1260 | 'data.text' is too long | Text must be at most 1000 characters |
| 1261 | 'data.name' is required | For WhatsApp name is required |
| 1263 | 'data.name' is too long | Name must be at most 45 characters |
| 1264 | 'data.url' is required | Required for image, video and document templates without 'media_id' |
| 1265 | 'data.url' is too long | URL must be at most 2083 characters |
| 1266 | 'data.url' contains invalid characters | URL must be valid |
| 1267 | 'data.filename' is required | Required for document templates |
| 1268 | 'data.filename' is too long | Filename must be at most 25 characters |
| 1269 | 'data.filename' contains invalid characters | Filename must only contain [a-zA-Z0-9_] characters |
| 1272 | 'data.button_text' is required | |
| 1273 | 'date.button_value' is invalid it should be a valid phone number in case of PHONE_CALL type, or valid URL in case of LINK type | |
| 1274 | 'data.button_text' too long | Button Text must be at most 20 characters |
| 1275 | The image can be Max 5 MB, format JPG | For WhatsApp image template |
| 1276 | The video can be Max 16 MB, format MP4 | For WhatsApp video template |
| 1277 | The document can be Max 100 MB, format PDF | For WhatsApp document template |
| 1278 | File extension can be only: .bmp, .gif, .jpg, .jpeg, .png, .svg, .webp. maximum size 24 MB | For Viber image template |
| 1279 | File extension can be only: .3gpp, .m4v, .mov, .mp4. maximum size is 200 MB | For Viber video template |
| 1280 | File extension can be only: .txt, .doc, .docx, .dot, .dotx, .rtf, .odt, .odf, .fodt, .info.pdf, .xps, .pdax, .eps.xls, .xlsx, .xltx, .xlsm, .csv, .ods, .fods. maximum size 200 MB | For Viber document template |
| 1282 | URL should start with with 'https://' and have maximum length of 1000 characters | For Viber URLs |
| 1283 | Document name should be Maximum 25 characters | Viber filename must be at most 25 characters |
| 1284 | Both 'data.button_value' and 'data.button_text' are required in case one of them specified or both of them must be removed | For Viber template with buttons |
| 1285 | Text + Image combination not allowed (button is missing) | For Viber image template |
| 1287 | Image and Text combination not supported by Viber | For Viber image template |
| 1289 | 'data.media_id' is invalid | Should be valid UUID |
| 1291 | 'data.type' is invalid for the selected channel | For Viber and Whatsapp should pass valid type |
409Conflict:
| Code | Message |
|---|---|
| 1258 | 'data.name' should be unique |